
#define FASTLED_INTERRUPT_RETRY_COUNT 0
#include <FastLED.h>

// define the LEDs
#define LED_PIN_1 3  //pin the LEDs are connected to
#define LED_PIN_2 4  //pin the LEDs are connected to
#define LED_PIN_3 5  //pin the LEDs are connected to
#define NUM_LEDS 24
#define BRIGHTNESS 120 //maximum brightness
#define LED_TYPE WS2812
#define COLOR_ORDER GRB
struct CRGB leds[NUM_LEDS];
#define UPDATES_PER_SECOND 100

#include "palettes.h"


void setup() {
	delay(1000); // power-up safety delay
	Serial.begin(115200);
	//	FastLED.addLeds<LED_TYPE, LED_PIN, COLOR_ORDER>(leds, NUM_LEDS).setCorrection(TypicalLEDStrip);
	FastLED.addLeds<LED_TYPE, LED_PIN_1, COLOR_ORDER>(leds, 0, 8).setCorrection(TypicalLEDStrip);
	FastLED.addLeds<LED_TYPE, LED_PIN_2, COLOR_ORDER>(leds, 8, 8).setCorrection(TypicalLEDStrip);
	FastLED.addLeds<LED_TYPE, LED_PIN_3, COLOR_ORDER>(leds, 16, 8).setCorrection(TypicalLEDStrip);
	FastLED.setBrightness(BRIGHTNESS);
	FastLED.clear();
	Serial.print("fastled started");
}

void loop() {

	ChangePalettePeriodically();
	static uint8_t startIndex = 0;
	startIndex = startIndex + 1;
	FillLEDsFromPaletteColors(startIndex);

	FastLED.show();
	FastLED.delay(750 / UPDATES_PER_SECOND);

}

